# H225_AdmissionRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_AdmissionRequest:

List of all members.

## Public Types

enum

OptionalFields {
e_callModel, e_destinationInfo, e_destCallSignalAddress, e_destExtraCallInfo,
e_srcCallSignalAddress, e_nonStandardData, e_callServices, e_canMapAlias,
e_callIdentifier, e_srcAlternatives, e_destAlternatives, e_gatekeeperIdentifier,
e_tokens, e_cryptoTokens, e_integrityCheckValue, e_transportQOS,
e_willSupplyUUIEs, e_callLinkage, e_gatewayDataRate, e_capacity,
e_circuitInfo, e_desiredProtocols, e_desiredTunnelledProtocol, e_featureSet,
e_genericData, e_canMapSrcAlias
}

## Public Member Functions

| H225_AdmissionRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_CallType | m_callType
H225_CallModel | m_callModel
H225_EndpointIdentifier | m_endpointIdentifier
H225_ArrayOf_AliasAddress | m_destinationInfo
H225_TransportAddress | m_destCallSignalAddress
H225_ArrayOf_AliasAddress | m_destExtraCallInfo
H225_ArrayOf_AliasAddress | m_srcInfo
H225_TransportAddress | m_srcCallSignalAddress
H225_BandWidth | m_bandWidth
H225_CallReferenceValue | m_callReferenceValue
H225_NonStandardParameter | m_nonStandardData
H225_QseriesOptions | m_callServices
H225_ConferenceIdentifier | m_conferenceID
PASN_Boolean | m_activeMC
PASN_Boolean | m_answerCall
PASN_Boolean | m_canMapAlias
H225_CallIdentifier | m_callIdentifier
H225_ArrayOf_Endpoint | m_srcAlternatives
H225_ArrayOf_Endpoint | m_destAlternatives
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_TransportQOS | m_transportQOS
PASN_Boolean | m_willSupplyUUIEs
H225_CallLinkage | m_callLinkage
H225_DataRate | m_gatewayDataRate
H225_CallCapacity | m_capacity
H225_CircuitInfo | m_circuitInfo
H225_ArrayOf_SupportedProtocols | m_desiredProtocols
H225_TunnelledProtocol | m_desiredTunnelledProtocol
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
PASN_Boolean | m_canMapSrcAlias

## Member Enumeration Documentation

enum H225_AdmissionRequest::OptionalFields

Enumerator:

  e_callModel |
  e_destinationInfo |
  e_destCallSignalAddress |
  e_destExtraCallInfo |
  e_srcCallSignalAddress |
  e_nonStandardData |
  e_callServices |
  e_canMapAlias |
  e_callIdentifier |
  e_srcAlternatives |
  e_destAlternatives |
  e_gatekeeperIdentifier |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_transportQOS |
  e_willSupplyUUIEs |
  e_callLinkage |
  e_gatewayDataRate |
  e_capacity |
  e_circuitInfo |
  e_desiredProtocols |
  e_desiredTunnelledProtocol |
  e_featureSet |
  e_genericData |
  e_canMapSrcAlias |

## Constructor & Destructor Documentation

H225_AdmissionRequest::H225_AdmissionRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_AdmissionRequest::GetDataLength | ( |  | ) | const

PBoolean H225_AdmissionRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_AdmissionRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_AdmissionRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_AdmissionRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_AdmissionRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_AdmissionRequest::m_requestSeqNum

H225_CallType H225_AdmissionRequest::m_callType

H225_CallModel H225_AdmissionRequest::m_callModel

H225_EndpointIdentifier H225_AdmissionRequest::m_endpointIdentifier

H225_ArrayOf_AliasAddress H225_AdmissionRequest::m_destinationInfo

H225_TransportAddress H225_AdmissionRequest::m_destCallSignalAddress

H225_ArrayOf_AliasAddress H225_AdmissionRequest::m_destExtraCallInfo

H225_ArrayOf_AliasAddress H225_AdmissionRequest::m_srcInfo

H225_TransportAddress H225_AdmissionRequest::m_srcCallSignalAddress

H225_BandWidth H225_AdmissionRequest::m_bandWidth

H225_CallReferenceValue H225_AdmissionRequest::m_callReferenceValue

H225_NonStandardParameter H225_AdmissionRequest::m_nonStandardData

H225_QseriesOptions H225_AdmissionRequest::m_callServices

H225_ConferenceIdentifier H225_AdmissionRequest::m_conferenceID

PASN_Boolean H225_AdmissionRequest::m_activeMC

PASN_Boolean H225_AdmissionRequest::m_answerCall

PASN_Boolean H225_AdmissionRequest::m_canMapAlias

H225_CallIdentifier H225_AdmissionRequest::m_callIdentifier

H225_ArrayOf_Endpoint H225_AdmissionRequest::m_srcAlternatives

H225_ArrayOf_Endpoint H225_AdmissionRequest::m_destAlternatives

H225_GatekeeperIdentifier H225_AdmissionRequest::m_gatekeeperIdentifier

H225_ArrayOf_ClearToken H225_AdmissionRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_AdmissionRequest::m_cryptoTokens

H225_ICV H225_AdmissionRequest::m_integrityCheckValue

H225_TransportQOS H225_AdmissionRequest::m_transportQOS

PASN_Boolean H225_AdmissionRequest::m_willSupplyUUIEs

H225_CallLinkage H225_AdmissionRequest::m_callLinkage

H225_DataRate H225_AdmissionRequest::m_gatewayDataRate

H225_CallCapacity H225_AdmissionRequest::m_capacity

H225_CircuitInfo H225_AdmissionRequest::m_circuitInfo

H225_ArrayOf_SupportedProtocols H225_AdmissionRequest::m_desiredProtocols

H225_TunnelledProtocol H225_AdmissionRequest::m_desiredTunnelledProtocol

H225_FeatureSet H225_AdmissionRequest::m_featureSet

H225_ArrayOf_GenericData H225_AdmissionRequest::m_genericData

PASN_Boolean H225_AdmissionRequest::m_canMapSrcAlias

The documentation for this class was generated from the following file:

- h225.h